Uploaded image for project: 'MusicBrainz Server'
  1. MusicBrainz Server
  2. MBS-10335

Installing Perl dependencies fails on outdated DBD::Pg version

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2020-01-06
    • Component/s: Back-end
    • Labels:
      None

      Description

      Originally reported at https://github.com/metabrainz/musicbrainz-docker/issues/112

      ! Failed to download http://www.cpan.org/authors/id/T/TU/TURNSTEP/DBD-Pg-3.7.4.tar.gz
      ! Failed to fetch distribution DBD-Pg-3.7.4
      --> Working on TURNSTEP/DBD-Pg-3.7.4.tar.gz
      Fetching http://www.cpan.org/authors/id/T/TU/TURNSTEP/DBD-Pg-3.7.4.tar.gz ... FAIL
      13 distributions installed
      The command '/bin/sh -c eval $( perl -Mlocal::lib) && cpanm --notest         Cache::Memcached::Fast         Cache::Memory         Catalyst::Plugin::Cache::HTTP         Catalyst::Plugin::StackTrace         Digest::MD5::File         JSON::Any         LWP::Protocol::https         Plack::Handler::Starlet         Plack::Middleware::Debug::Base         Server::Starter         Starlet         Starlet::Server         Term::Size::Any         TURNSTEP/DBD-Pg-3.7.4.tar.gz' returned a non-zero code: 1
      

      DBD-Pg-3.7.4 moved to BackPAN, causing cpanm to fail.

        Attachments

          Activity

            People

            • Assignee:
              yvanzo yvanzo
              Reporter:
              yvanzo yvanzo
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Packages

                Version Package
                2020-01-06